Subject: Re: Will git have a baseline feature or something alike?

From: Jakub Narebski <[email-masked]>
Date: Sat, 1 Mar 2008 19:00:35 +0100

Eyvind Bernhardsen wrote:
>
> Okay, as a git n00b I'm probably on completely the wrong track, but if  
> you made a git repository out of a kernel tarball (cd linux-2.6.24 &&  
> git init && git add .) and then did a shallow fetch from kernel.org  
> into that repository, wouldn't the blobs you added get reused  
> (assuming the tarball you downloaded was fairly recent), thus reducing  
> the amount of data fetch has to transfer?

I think it wouldn't. If I understand it correctly, the fetching engine
deals only with commits. If you have commit, it assumes that you have 
tree, blobs, and ancestors. If you don't have commit, it assumes that 
you don't have tree and blobs.

-- 
Jakub Narebski
Poland